.banner-popup {
  position: fixed;
  display: none;
  bottom: 16px;
  left: 16px;
  background-color: var(--white);
  border-radius: 8px;
  border: 1px solid rgba(0, 0, 0, 0.15);
  box-shadow: 0 8px 15px 0 rgba(0, 0, 0, 0.1);
  overflow: hidden;
  width: 320px;
  z-index: 9000;
}

.show.banner-popup {
  display: block;
}

.mobile .show.banner-popup {
  width: 100%;
  right: 0;
  left: 0;
  bottom: 0;
  left: 0;
  border-radius: 16px 16px 0 0;
  padding: 16px 16px 35px 16px;
  display: flex;
  align-items: center;
}

body.dark .banner-popup {
  background-color: var(--dark-grey);
  border: 1px solid rgba(255, 255, 255, 0.2);
  box-shadow: 0 8px 15px 0 rgba(0, 0, 0, 0.1);
}

.banner-popup .modal-header {
  position: absolute;
  border: none;
  top: 0;
  width: 100%;
}

.mobile .banner-popup .modal-header {
  padding-right: 37px;
  padding-top: 20px;
}

.banner-popup .btn-close {
  width: 15px;
  cursor: pointer;
  padding: 0;
  opacity: 1;
}

.banner-popup .modal-header .btn-close:before,
.banner-popup .modal-header .btn-close:after {
  background-color: var(--white);
  height: 1px;
}

.mobile .banner-popup .modal-header .btn-close:before,
.mobile .banner-popup .modal-header .btn-close:after {
  background-color: var(--black);
}

.dark.mobile .banner-popup .modal-header .btn-close:before,
.dark.mobile .banner-popup .modal-header .btn-close:after {
  background-color: var(--white);
}

.banner-content {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.popup-banner-content {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.mobile .popup-banner-content {
  flex-direction: row;
  align-items: flex-start;
}

.banner-image {
  max-height: 180px;
  height: 100%;
}

.mobile .banner-image {
  height: 64px;
  width: 64px;
  border-radius: 8px;
  overflow: hidden;
  flex-shrink: 0;
}

.banner-image img {
  display: inline-block;
  width: 100%;
  height: auto;
}

.banner-text {
  padding: 16px 16px 0;
  text-align: left;
}

.mobile .banner-text {
  text-align: left;
  padding-top: 0;
  flex-grow: 1;
  display: block;
}

.banner-text h2 {
  gap: 5px;
}

.dark .banner-text h2 {
  color: var(--white);
}

.banner-text h2 span {
  font-size: 16px;
  color: var(--black);
  margin-bottom: 5px;
  font-weight: 800;
}

.dark .banner-text h2 span {
  color: var(--white);
}

.banner-text h2 .ad-title {
  color: var(--blue5);
  background-color: var(--blue6);
  font-size: 10px;
  padding: 0 4px 0 3px;
  border-radius: 4px;
}

.dark .banner-text h2 .ad-title {
  color: var(--blue3);
  background-color: var(--blue4);
}

.banner-text p {
  font-size: 14px;
  margin-bottom: 15px;
}

.dark .banner-text p {
  color: var(--grey-400);
}

.popup-banner-btn {
  box-sizing: border-box;
  padding: 0 16px 16px;
  width: 100%;
  text-align: center;
}

.mobile .popup-banner-btn {
  padding: 0;
}

.popup-banner-btn .button {
  display: block;
  width: 100%;
  text-align: center;
}

.popup-banner-btn .button:hover {
  text-decoration: none;
}
